##  for PCLinuxOS  ##

%define ver 0.4.16
%define rel 3.2.nora16

%define scim_version 1.4.15

Name:    scim-bridge
Summary: Scim-bridge is yet another IM client of SCIM
Version: %{ver}
Release: %{rel}
Group:   System/Internationalization
License: GPLv2+
URL:     http://sourceforge.net/projects/scim/files/
Source0: http://downloads.sourceforge.net/scim/%{name}-%{version}.tar.xz

Patch0: scim-bridge-0.4.15.2-use-mandriva-qt-dir.patch
Patch1: bug-351920-should-return-retval.patch
Patch2: scim-bridge-0.4.15.2-qt4-focus.patch
Patch3: scim-bridge-0.4.15.2-linkage.patch
Patch4: scim-bridge-0.4.16-gcc44.patch
Patch5: scim-bridge-0.4.15-fix-gdm.patch
Patch6: scim-bridge-0.4.16-fix-gtk-key-snooper.patch
Patch7: scim-bridge-0.4.16-fixes-null-imengine.patch
Patch8: scim-bridge-0.4.16-fixes-unistd-compile.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: scim-devel >= %{scim_version}
BuildRequires: gtk+2-devel >= 2.14.0
BuildRequires: automake
BuildRequires: doxygen
BuildRequires: gettext-devel
BuildRequires: intltool
BuildRequires: libqt4-devel

Requires: scim >= %{scim_version}
Requires: scim-bridge-gtk = %{version}-%{release}
Requires: gtk+2.0 >= 2.14.0
Requires: setime >= 0.8
#Provides: scim-client = %{scim_api}

%description
Scim-bridge is yet another IM client of SCIM.
It solves SCIM's C++ ABI problems.

# ------------------------------------------------------------- #

%package gtk
Summary: Scim-bridge gtk immodule
Group:   System/Internationalization
Requires:  %{name} = %{version}-%{release}
Obsoletes: libscim-bridge0

%description gtk
scim-bridge gtk immodule.

# ------------------------------------------------------------- #

%package qt4
Summary: Scim-bridge for qt4
Group:   System/Internationalization
Requires: %{name} = %{version}-%{release}
Requires: qt4-common

%description qt4
scim-bridge for qt4.

# --------------------------------------------------------------- #

%prep
%setup -q

%patch0 -p0
%patch1 -p1
%patch2 -p1
%patch3 -p0
%patch4 -p1
%patch5 -p1
%patch6 -p0
%patch7 -p1
%patch8 -p1


%build
%configure2_5x \
 --disable-static \
 --enable-agent \
 --enable-gtk2-immodule \
 --disable-qt3-immodule \
 --enable-qt4-immodule

%make


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

## remove unnecessary files
rm -f $RPM_BUILD_ROOT%{_libdir}/gtk-2.0/immodules/*.{a,la}
rm -f $RPM_BUILD_ROOT%{qt4plugins}/inputmethods/im-scim-bridge.{a,la}
rm -rf $RPM_BUILD_ROOT%{_libdir}/qt3


%clean
rm -rf $RPM_BUILD_ROOT


%post gtk
/sbin/ldconfig
%{_libdir}/gtk-2.0/bin/gtk-query-immodules-2.0 --update-cache

%postun gtk
/sbin/ldconfig
%{_libdir}/gtk-2.0/bin/gtk-query-immodules-2.0 --update-cache


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README NEWS doc/LICENSE*
%{_bindir}/scim-bridge

%files gtk
%defattr(-,root,root)
%{_libdir}/gtk-2.0/immodules/*.so

%files qt4
%defattr(-,root,root)
%{qt4plugins}/inputmethods/im-scim-bridge.so


%changelog
* Mon Dec 28 2015 tomcat <> 0.4.16-3.2
- fix %%post and %%postun in scim-bridge-gtk, due to typo in /usr/bin/gtk-query-immodules-2.0 

* Mon Dec 28 2015 tomcat <> 0.4.16-3.1
- rebuild against scim-1.4.15

* Sat Oct 26 2013 tomcat <> 0.4.16-2.1
- rebuild against gtk+2.0-2.24.22
    update %%post and %%postun sections, calls to gtk-query-immodules-2.0 to use --update-cache
- add patch8

* Sun Jul 03 2011 tomcat <> 0.4.16-1.3nora11
- rebuild

* Fri Apr 08 2011 tomcat <> 0.4.16-1.2nora11
- rebuild

* Tue Dec 07 2010 tomcat <> 0.4.16-1.1nora103
- add Patch105 from Fedora

* Tue Mar 11 2010 Texstar <texstar at gmail.com> 0.4.16-1pclos2010
- import into pclos
- sync with fedora patches

